__gnu_cxx::__detail::_Ffit_finder< _Tp >(3cxx)

NAME
__gnu_cxx::__detail::_Ffit_finder< _Tp > - The class which acts as a predicate for applying the first-fit memory allocation policy for the bitmap allocator.

SYNOPSIS

#include <bitmap_allocator.h>

Inherits std::unary_function< std::pair< _Tp, _Tp >, bool >.

  Public Types

typedef std::pair< _Tp, _Tp > argument_type
argument_type is the type of the argument
typedef bool result_type
result_type is the return type

  Public Member Functions

std::size_t * _M_get () const throw ()
_Counter_type _M_offset () const throw ()
bool operator() (_Block_pair __bp) throw ()

Detailed Description

  template<typename _Tp>
class __gnu_cxx::__detail::_Ffit_finder< _Tp >"The class which acts as a predicate for applying the first-fit memory allocation policy for the bitmap allocator.

Member Typedef Documentation

  typedef std::pair< _Tp, _Tp > std::unary_function< std::pair< _Tp, _Tp >, bool >::argument_type [inherited]

argument_type is the type of the argument

  typedef bool std::unary_function< std::pair< _Tp, _Tp >, bool >::result_type [inherited]

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.